xterm ignores VT100 widget resources color16 through color255

Bug #438850 reported by Will Gray on 2009-09-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xterm (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xterm

I've specified resources in ~/.Xresources to change xterm's background, foreground, cursor, and colors 0-255. Colors 16-255 aren't used.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: xterm 241-1ubuntu1
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=zsh
ProcVersion: Linux version 2.6.28-15-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009
SourcePackage: xterm
Uname: Linux 2.6.28-15-generic i686
Xrandr:

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation E7505 Memory Controller Hub [8086:2550] (rev 03)
     Subsystem: Dell Device [1028:012c]
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV30GL [Quadro FX 1000] [10de:0309] (rev a2)
     Subsystem: nVidia Corporation Device [10de:0182]

Will Gray (graywh) wrote :
Thomas Dickey (dickey-his) wrote :

Not a bug in xterm, but a limitation of the X libraries.

http://invisible-island.net/xterm/xterm.log.html#xterm_188
Patch #188 - 2004/5/12 - XFree86 4.4.99.6

modify initialization of 256- and 88-colors so that colors beyond 16 are normally not X resources. This works around a hard-coded limit in Xt which breaks xterm when 256-colors and luit are both configured (report by Noah Friedman).

Bryce Harrington (bryce) on 2009-10-09
tags: added: jaunty
Bryce Harrington (bryce) on 2009-10-10
description: updated
Thomas Dickey (dickey-his) wrote :

Other than documenting it in the manpage as a limitation of the X libraries,
there's no fix to be made, noting that it's already documented in the changelog
from 5 years ago.

Bryce Harrington (bryce) wrote :

From the last comment, sounds like this is a wontfix issue. Certainly not something we'd patch ourselves in ubuntu, and upstream already knows about the issue, so no need to have this bug report open any further.

Changed in xterm (Ubuntu):
status: New → Won't Fix

On Fri, 8 Jan 2010, Bryce Harrington wrote:

>> From the last comment, sounds like this is a wontfix issue. Certainly
> not something we'd patch ourselves in ubuntu, and upstream already knows
> about the issue, so no need to have this bug report open any further.

It would only be fixed in the X libraries.

--
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Bryce Harrington (bryce) wrote :

Actually, fixing the manpage is probably within scope. The next xterm upload will fix this.

Changed in xterm (Ubuntu):
status: Won't Fix → In Progress
Thomas Dickey (dickey-his) wrote :

On Fri, 8 Jan 2010, Bryce Harrington wrote:

> Actually, fixing the manpage is probably within scope. The next xterm
> upload will fix this.

It's been documented in the xterm manpage since patch #250.

--
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package xterm - 253-1ubuntu1

---------------
xterm (253-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable. (LP: #501150)
    + document in xterm manpage the limited availability of resources color16
      to color255 as noted in patch #188 (LP: #438850)
    Remaining Ubuntu changes:
    - Enabled URL highlighting
  * Add 100_uxterm_utf8_title.patch: Set utf8Titles to true by default
    when using uxterm, so that it displays utf8 directories in titles
    properly. May cause issues with apps that use control sequences for
    updating the xterm titlebar - users should use xterm or set utf8Title
    to false in this case.
    (LP: #320388, #408496)

xterm (253-1) unstable; urgency=low

  * New upstream release
    + parenthesize expression in MoreRows macro, fixing a limit check added in
      patch #251 (closes: #560039)
  * Update debian/copyright.
  * Add dependency on ${misc:Depends} (lintian).
  * Refresh patches 900_debian_xterm.diff and 901_xterm_manpage.diff.

xterm (251-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.107 (dated 2009/11/11).
  * Upstream introduced a new 'disallowedWindowOps' resource to fine-tune
    which operations are affected by the 'allowWindowOps' setting. After
    discussion with the security team, change the default for the new resource
    to include all operations.

xterm (250-1) unstable; urgency=low

  * New upstream release
    + add check and error-message for fonts that have no printable values in
      the ISO-8859-1 range (closes: #542434)
    + limit minimum cell-width for packed font to maximum-advance
      reported by Xft. Some fonts are wider than that, even in the Latin-1
      range (closes: #550497)
    + correct off-by-one in okPosition fix from patch #249 limit-checks which
      prevented double-click selection on the bottom line of the screen
      (closes: #550368)
    + document in xterm manpage the limited availability of resources color16
      to color255 as noted in patch #188 (LP: #438850)

xterm (249-1) unstable; urgency=low

  * New upstream release.
    + add limit-checks for result of visual_width() function, needed from
      patch #242 and exposed by #244 changes (closes: #548321).
  * Upstream changed the default of AllowWindowOps to false, remove patch
    903_windowops.diff.
  * Use the upstream default for pointerMode; drop patch
    902_pointermode_never.diff.

xterm (248-1) unstable; urgency=low

  * New upstream release
    + correct logic used to improve performance of missing-glyph check, which
      did not handle line-drawing characters (closes: #545220)

xterm (247-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Remove David Martínez Moreno from Uploaders as he hasn't been active on
    this package lately.
  * Kill remaining subversion $Id$ tags from debian packaging files.
  * Use libutempter, remove setgid bit from the xterm binary (closes: #537867).

xterm (246-1) unstable; urgency=low

  * New upstream release
    + interaction between allowSendEvents and the various allowXXXOps
      resources clarified in manpage (closes: #53...

Read more...

Changed in xterm (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers